Page MenuHomePhabricator

Have step controllers drive the process and be linked together
Closed, ResolvedPublic2 Story Points

Description

Pretty much, I don't want the Wizard object to have to deal with transitions between step controllers anymore. Link them together in a set of links - Tutorial's next step is Upload, etc., and Thanks's next step is also Upload. Fire the transition, if it succeeds, go to the next step.

May find blocking tasks - stay tuned.

Event Timeline

MarkTraceur claimed this task.
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur updated the task description. (Show Details)
MarkTraceur moved this task to Backlog on the Multimedia-Sprint-2015-03-18 board.
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 18 2015, 4:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarkTraceur set Security to None.Mar 18 2015, 4:51 PM
MarkTraceur edited a custom field.
MarkTraceur updated the task description. (Show Details)Mar 18 2015, 4:55 PM

Change 199314 had a related patch set uploaded (by MarkTraceur):
[WIP] Link steps together less painfully

https://gerrit.wikimedia.org/r/199314

Change 199314 merged by jenkins-bot:
Link steps together less painfully

https://gerrit.wikimedia.org/r/199314

matmarex closed this task as Resolved.Apr 24 2015, 6:33 PM
matmarex added a subscriber: matmarex.